require 'forward/api/resource'
require 'forward/api/tunnel'
require 'forward/api/user'

module Forward
  module API
    VERSION          = 'v3'.freeze
    DEFAULT_API_HOST = 'https://forwardhq.com'.freeze

    # Returns either an api host set in the environment or a set default.
    #
    # Returns a String containing the api host.
    def self.host
      @host ||= ENV['FORWARD_API_HOST'] || DEFAULT_API_HOST
    end

    def self.base_path
      @base_path ||= "/api/#{VERSION}"
    end

    def self.token=(token)
      @api_token = token
    end

    def self.token
      defined?(@api_token) ? @api_token : nil
    end
  end
end
