module Forward
  module API
    class User < Resource

      def self.authenticate(email, password, &block)
        resource = new
        options  = {
          path: "#{API.base_path}/user/token",
          params: { email: email, password: password }
        }

        resource.post(options) do |response, status|
          if status != 200
            exit_with_error "Unable to authenticate `#{email}' on forwardhq.com"
          else
            block.call(response[:subdomain], response[:token])
          end
        end
      end

    end
  end
end
