module Forward
  module Common
    EMAIL_REGEX   = /\A[^@]+@[^@]+\.[^@]+\z/.freeze

    def logger
      Forward.logger
    end
    alias_method :log, :logger

    def config
      Forward::Config
    end

    def logged_in?
      !Config.default_account.nil?
    end

    def os
      Forward.os
    end

    def windows?
      Forward.windows?
    end

    def exit_with_message(message = nil)
      puts message if message
      stop_reactor_and_exit
    end

    def stop_reactor_and_exit(code = 0)
      EM.stop if EM.reactor_running?
      exit(code)
    end

    def exit_with_error(message = nil)
      if message
        puts HighLine.color(message, :red)
      end
      stop_reactor_and_exit(1)
    end

  end
end
